#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow)
{

    audioOutput = new Phonon::AudioOutput(Phonon::MusicCategory, this);
    audioOutput2 = new Phonon::AudioOutput(Phonon::MusicCategory, this);
    mediaObject1 = new Phonon::MediaObject(this);
    mediaObject2 = new Phonon::MediaObject(this);

    path1 = Phonon::createPath(mediaObject1, audioOutput);
    path2 = Phonon::createPath(mediaObject2, audioOutput2);

    ui->setupUi(this);

    ui->volumeSlider->setAudioOutput(audioOutput);
    ui->volumeSlider_2->setAudioOutput(audioOutput2);
    ui->seekSlider->setMediaObject(mediaObject1);
    ui->seekSlider_2->setMediaObject(mediaObject2);

    QList<Phonon::AudioOutputDevice> Outputs =
             Phonon::BackendCapabilities::availableAudioOutputDevices();

    foreach(Phonon::AudioOutputDevice descr, Outputs)
    ui->textEdit->append(descr.description());

}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::openFile1()
{
    fileName1 = QFileDialog::getOpenFileName(this, "Open File", "/home/tekojo/", "mp3 (*.mp3)");
    mediaObject1->setCurrentSource(Phonon::MediaSource(fileName1));
    playing1 = 0;
    ui->textEdit->setText(fileName1);
}

void MainWindow::openFile2()
{
    fileName2 = QFileDialog::getOpenFileName(this, "Open File", "/home/tekojo/", "mp3 (*.mp3)");
    mediaObject2->setCurrentSource(Phonon::MediaSource(fileName2));
    playing2 = 0;
    ui->textEdit_2->setText(fileName2);
}

void MainWindow::play1()
{
    if(!playing1)
    {
        mediaObject1->play();
        playing1 = 1;
    }
    else
    {
        mediaObject1->pause();
        playing1 = 0;
    }
}

void MainWindow::play2()
{
    if(!playing2)
    {
        mediaObject2->play();
        playing2 = 1;
    }
    else
    {
        mediaObject2->pause();
        playing2 = 0;
    }
}
