#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <Phonon/AudioOutput>
#include <Phonon/MediaObject>
#include <Phonon/Path>
#include <Phonon/BackendCapabilities>
#include <QtGui/QFileDialog>
#include <QString>
#include <QMap>

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    Phonon::MediaObject *mediaObject1;
    Phonon::MediaObject *mediaObject2;
    Phonon::AudioOutput *audioOutput;
    Phonon::AudioOutput *audioOutput2;
    Phonon::Path path1;
    Phonon::Path path2;
    QString fileName1;
    QString fileName2;
    bool playing1;
    bool playing2;
    QMap <QString, QString> metaData;

public slots:
     void openFile1();
     void openFile2();
     void play1();
     void play2();
};

#endif // MAINWINDOW_H
